Skip to main content
Resource Center/Network Service/Network Service Operations/Load Balancing Operations
GETLoad Balancing OperationsSince 4.0.0SynchronousAuth Required

GetCandidateVmNicsForLoadBalancerServerGroup

GetCandidateVmNicsForLoadBalancerServerGroup

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • servergroupUuidString

    Optional. The UUID of the server group.

  • loadBalancerUuidString

    Optional. The load balancer UUID.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

  • ipVersionInteger

    IP版本。

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The NIC UUID.

    • vmInstanceUuidStringRequired

      The VM instance UUID.

    • l3NetworkUuidStringRequired

      The L3 network UUID.

    • ipStringRequired

      The IP address of the NIC.

    • macStringRequired

      The MAC address of the NIC.

    • hypervisorTypeStringRequired

      The virtualization type.

    • netmaskStringRequired

      The netmask.

    • gatewayStringRequired

      The gateway IP address.

    • metaDataStringRequired

      元数据。

    • ipVersionIntegerRequired

      The IP version.

    • deviceIdIntegerRequired

      The device ID.

    • typeStringRequired

      The NIC type.

    • createDateTimestampRequired

      The time when the NIC was added to the VM instance.

    • lastOpDateTimestampRequired

      The time when the NIC was last modified.

    • usedIpsListRequired

      See usedIps.

      • uuidStringRequired

        The IP address UUID.

      • ipRangeUuidStringRequired

        The IP range UUID.

      • l3NetworkUuidStringRequired

        The L3 network UUID.

      • ipVersionIntegerRequired

        The IP version.

      • ipStringRequired

        The IP address.

      • netmaskStringRequired

        The netmask.

      • gatewayStringRequired

        The gateway IP address.

      • usedForStringRequired

        已使用用于。

      • ipInLonglongRequired

        No description provided.

      • vmNicUuidStringRequired

        The VM NIC UUID.

      • createDateTimestampRequired

        The time when the IP address was used.

      • lastOpDateTimestampRequired

        The time when the was last modified.

Endpoint

GET/zstack/v1/load-balancers/servergroups/candidate-nics

/zstack/v1/load-balancers/servergroups/candidate-nics

Operation ID

GetCandidateVmNicsForLoadBalancerServerGroup

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/load-balancers/servergroups/candidate-nics?servergroupUuid=<servergroupUuid>&loadBalancerUuid=<loadBalancerUuid>&systemTags=<systemTags>&userTags=<userTags>&ipVersion=1' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "798c7b209b34303aa9a48593594bccee", "vmInstanceUuid": "c158c92bdda63bbb97c8dea6d284350a", "usedIpUuid": "702b0b20aebe3d4a880abe851940462d", "l3NetworkUuid": "a1cebc14f5b236578049889964686822", "ip": "192.168.1.10", "mac": "00:0c:29:bd:99:fc", "hypervisorType": "KVM", "netmask": "255.255.255.0", "gateway": "192.168.1.1", "deviceId": 0.0, "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history